import request from '@/utils/request'

// 查询瑜伽传承列表
export function listInherit(query) {
  return request({
    url: '/system/inherit/list',
    method: 'get',
    params: query
  })
}

// 查询瑜伽传承详细
export function getInherit(id) {
  return request({
    url: '/system/inherit/' + id,
    method: 'get'
  })
}

// 新增瑜伽传承
export function addInherit(data) {
  return request({
    url: '/system/inherit',
    method: 'post',
    data: data
  })
}

// 修改瑜伽传承
export function updateInherit(data) {
  return request({
    url: '/system/inherit',
    method: 'put',
    data: data
  })
}

// 删除瑜伽传承
export function delInherit(id) {
  return request({
    url: '/system/inherit/' + id,
    method: 'delete'
  })
}
// 新增瑜伽传承
export function getInheritBase(data) {
  return request({
    url: '/system/inherit/getBase',
    method: 'post',
    data: data
  })
}
